Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls.window
Class ButtonPresentationContext

    java.lang.Object
      com.bea.netuix.servlets.controls.ControlContext
          com.bea.netuix.servlets.controls.PresentationContext
              com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
                  com.bea.netuix.servlets.controls.window.ButtonPresentationContext

All Implemented Interfaces
  Serializable

    public class ButtonPresentationContext

extends AbstractButtonPresentationContext

A basic implementation of AbstractButtonPresentationContext. Typically used during portal rendering via look and feel skeleton files (e.g. buttondelete.jsp).

See Also
  `getButtonPresentationContext(javax.servlet.http.HttpServletRequest)`, Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
`CLASS_NAME`

Method Summary
`static ButtonPresentationContext` | `getButtonPresentationContext(javax.servlet.http.HttpServletRequest request)` This is a convenience method for returning a reference to the one and only `ButtonPresentationContext` for a given `Button`.

Methods inherited from class com.bea.netuix.servlets.controls.window.AbstractButtonPresentationContext
`getAbstractButtonPresentationContext, getAltText, getContextKey, getEvent, getEventParam, getImage, getImageSrc, getName, getParentWindowPresentationContext, getRolloverImage, getRolloverImageSrc, getWindowLabel, isParentPortlet`

Methods inherited from class com.bea.netuix.servlets.controls.PresentationContext
`getAttributeRenderer, getChildren, getChildren, getFirstChild, getOrderedChildren, getParsedProperties, getPresentationClass, getPresentationId, getPresentationStyle, getProperties, getProperty, getProperty, getPropertyAsBoolean, getPropertyAsInt, getRenderFormat, getResolvedLocale, getTagName, isVisible, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getButtonPresentationContext

    public static ButtonPresentationContext getButtonPresentationContext(javax.servlet.http.HttpServletRequest request)

  This is a convenience method for returning a reference to the one and only `ButtonPresentationContext` for a given `Button`. Note this method will only work if called from within a portal (e.g. buttondelete.jsp skeleton). This method may return null if called when no appropriate context exists, but such a context should safely exist when being fetched from the associated skeleton JSP during normal portal rendering.

  Parameters
    `request` - The current HTTPServletRequest instance
  Returns
    A reference to the current ButtonPresentationContext, if any

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved